classification
Title: Build fails on XP w/mingw
Type: Stage:
Components: Build Versions: Python 2.2
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, georg.brandl, loewis, shrodingersdog
Priority: normal Keywords:

Created on 2004-02-28 11:08 by shrodingersdog, last changed 2008-01-03 23:25 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
error.txt shrodingersdog, 2004-05-01 10:57
Messages (8)
msg20146 - (view) Author: Con (shrodingersdog) Date: 2004-02-28 11:08
When trying to build the source:

Modules/posixmodule.c fails to build.

I'm running on XP SP1 using 
mingw32-make ver 3.80

Is there any known issues on XP?
msg20147 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2004-03-29 22:35
Logged In: YES 
user_id=21627

In what way precisely does it fail?

It builds fine for me with VC.NET 2003, which is the
official build environment for Python on XP.
msg20148 - (view) Author: Con (shrodingersdog) Date: 2004-04-23 09:27
Logged In: YES 
user_id=986333

When I run make it crashes when it gets to 
Modules/posixmodule.c.
This is compiling with the Ming / (Cygwin?) compiler though.

I have recently tried with MSVC 6 which builds without any 
problems.
msg20149 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2004-04-24 08:08
Logged In: YES 
user_id=21627

What exactly does "it crashes" mean? Do you get a blue
screen? Is your hard disk making a crashing sound?
msg20150 - (view) Author: Con (shrodingersdog) Date: 2004-05-01 10:52
Logged In: YES 
user_id=986333

Sorry, crash is not the right word.
I've attached the output from make.

Let me know if that helps or if you need other info.
msg20151 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2005-06-01 11:57
Logged In: YES 
user_id=1188172

Is this still happening with 2.3.5 or 2.4.1?
msg20152 - (view) Author: Con (shrodingersdog) Date: 2005-06-27 11:26
Logged In: YES 
user_id=986333

Still, happens. In the end I just compiled the source using 
VC6, so it doesn't really matter for me anymore though. 

It might be that I just don't have the MinGW environment 
setup right...
msg59173 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-03 23:25
The bug report is old and I haven't heard from problems with mingw
recently. Please open a new bug report if it still fails for 2.5 and newer.
History
Date User Action Args
2008-01-03 23:25:02christian.heimessetstatus: open -> closed
nosy: + christian.heimes
resolution: out of date
messages: + msg59173
2004-02-28 11:08:39shrodingersdogcreate